com.android.agf.asynctask

## Class CreateExternalDashboard

- java.lang.Object
- - android.os.AsyncTask<String,Void,Integer>
  - - com.android.agf.asynctask.CreateExternalDashboard

- Direct Known Subclasses:
    LoadExternalDashboardActivity.MyCreate

      public class CreateExternalDashboard
      extends AsyncTask<String,Void,Integer>

  asynctask per la creació d'un dashboard utilitzant un fitxer extern
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JSONObject` | `mJson`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateExternalDashboard(Context ctx, JSONObject obj, UserSettings user, String titol)` constructor, definició accessos base de dades

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Integer` | `doInBackground(String... arg0)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mJson

          protected JSONObject mJson

  - ### Constructor Detail

    - #### CreateExternalDashboard

          public CreateExternalDashboard(Context ctx,
                                 JSONObject obj,
                                 UserSettings user,
                                 String titol)

      constructor, definició accessos base de dades
      Parameters:
        `ctx` -
        `obj` -
        `user` -
        `titol` -

  - ### Method Detail

    - #### doInBackground

          protected Integer doInBackground(String... arg0)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,Integer>`